## org.jboss.util
Class TimerQueue.TimerTaskLoop

    java.lang.Object
      |
      +--org.jboss.util.TimerQueue.TimerTaskLoop

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  TimerQueue

protected class TimerQueue.TimerTaskLoop
extends java.lang.Object
implements java.lang.Runnable

Class that loops getting the next job to be executed and then executing it, in the timer task thread.

Constructor Summary
`protected` `TimerQueue.TimerTaskLoop()`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerQueue.TimerTaskLoop

    protected TimerQueue.TimerTaskLoop()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2000 The JBoss Organization. All Rights Reserved.